apiVersion: 1.0.0
metadata:
 generateName: nodejs-configmap-
projects:
 -
  name: nodejs-configmap
  source:
   type: zip
   location: >-
    https://devfile-registry-crw-crwctl-tls-oauth.apps.ocp43.codereadyqe.com/resources/nodejs-configmap-nodejs-configmap-master.zip
components:
 -
  id: che-incubator/typescript/latest
  type: chePlugin
  memoryLimit: 512Mi
 -
  mountSources: true
  memoryLimit: 1Gi
  type: dockerimage
  alias: nodejs
  image: 'registry.stage.redhat.io/codeready-workspaces/stacks-node-rhel8:2.1'
 -
  id: redhat/vscode-openshift-connector/latest
  type: chePlugin
  alias: openshift-connector
  memoryLimit: 1280Mi
commands:
 -
  name: 1. Install dependencies
  actions:
   -
    workdir: '${CHE_PROJECTS_ROOT}/nodejs-configmap'
    type: exec
    command: npm install
    component: nodejs
 -
  name: 2. Deploy application
  actions:
   -
    workdir: '${CHE_PROJECTS_ROOT}/nodejs-configmap'
    type: exec
    command: npm run openshift
    component: nodejs

